# WARNING: This package is synced with FC
%global major 1
%define libname %mklibname gltf %{apiversion} %{major}
%define devname %mklibname -d gltf
%global apiversion 0.1

Name: libgltf
Version: 0.1.0
Release: %mkrel 5
Summary: A library for rendering glTF models
Group: System/Libraries

License: MPLv2.0
URL: https://wiki.documentfoundation.org/Development/libgltf
Source: https://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.gz
Patch0: GLM_ENABLE_EXPERIMENTAL.patch

BuildRequires: boost-devel
BuildRequires: glm-devel
BuildRequires: pkgconfig(epoxy)

%description
%{name} is a library for rendering glTF models -- development glTF, the GL
Transmission Format, is the runtime asset format for the GL APIs: WebGL,
OpenGL ES, and OpenGL. glTF bridges the gap between formats used by modeling
tools and the GL APIs.

%{name} provides methods to load the OpenGL scene from glTF format and render
it into an existing OpenGL context. %{name} also allows to change the camera
position so the scene can be displayed from different points of view.

%package -n %libname
Summary: A library for rendering glTF models
Group: System/Libraries
Obsoletes: %{_lib}gltf0 >= 0.1.0-1 

%description -n %libname
%{name} is a library for rendering glTF models -- development glTF, the GL
Transmission Format, is the runtime asset format for the GL APIs: WebGL,
OpenGL ES, and OpenGL. glTF bridges the gap between formats used by modeling
tools and the GL APIs.

%{name} provides methods to load the OpenGL scene from glTF format and render
it into an existing OpenGL context. %{name} also allows to change the camera
position so the scene can be displayed from different points of view.


%package -n %devname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la


%files -n %libname
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.1.0-5.mga9
+ Revision: 1830284
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1520259
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 18 2018 pterjan <pterjan> 0.1.0-3.mga7
+ Revision: 1330653
- Fix build with current glm
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ tv <tv>
- use %%license

* Mon Feb 27 2017 wally <wally> 0.1.0-2.mga6
+ Revision: 1088076
- fix lib pkg name (add api and fix major)

* Sun Feb 26 2017 tv <tv> 0.1.0-1.mga6
+ Revision: 1087988
- new release

* Sun Jan 17 2016 tv <tv> 0.0.2-7.mga6
+ Revision: 924979
- rebuild in order to fix LO build

* Fri Dec 25 2015 tv <tv> 0.0.2-6.mga6
+ Revision: 914733
- rebuild for new boost 1.60

* Fri Dec 11 2015 neoclust <neoclust> 0.0.2-5.mga6
+ Revision: 909413
- Rebuild against fixed glm

* Wed Aug 26 2015 tv <tv> 0.0.2-4.mga6
+ Revision: 869852
- rebuild with gcc5

* Mon Aug 24 2015 sander85 <sander85> 0.0.2-3.mga6
+ Revision: 869119
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 0.0.2-2.mga6
+ Revision: 842013
- Rebuild for GLEW 1.12

* Wed Oct 22 2014 tv <tv> 0.0.2-1.mga5
+ Revision: 792481
- imported package libgltf


* Wed Oct 22 2014 Thierry Vignaud <tv@mageia.org> 0.0.2-1.mga5
- import from FC

* Fri Oct 03 2014 David Tardon <dtardon@redhat.com> 0.0.2-1
- initial import
